## org.hibernate.engine.jdbc.spi
Interface ConnectionObserver

All Known Subinterfaces:
  NonDurableConnectionObserver

All Known Implementing Classes:
  ConnectionObserverAdapter, ConnectionObserverStatsBridge, ConnectionProxyHandler

    public interface ConnectionObserver

An observer of logical connection events.

Method Summary
`void` `logicalConnectionClosed()` The logical connection was closed.
`void` `physicalConnectionObtained(Connection connection)` A physical connection was obtained.
`void` `physicalConnectionReleased()` A physical connection was released.
`void` `statementPrepared()` Notification of a statement being prepared

Method Detail

### physicalConnectionObtained

    void physicalConnectionObtained(Connection connection)

  A physical connection was obtained.

  Parameters:
    `connection` - The physical connection just obtained.

### physicalConnectionReleased

    void physicalConnectionReleased()

  A physical connection was released.

### logicalConnectionClosed

    void logicalConnectionClosed()

  The logical connection was closed.

### statementPrepared

    void statementPrepared()

  Notification of a statement being prepared

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.